#
# spec file for package bcmatroska2
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover   0
Name:           bcmatroska2
Version:        5.3.101
Release:        1.1
Summary:        C Library to Deal with Matroska Files
License:        BSD-3-Clause AND Zlib AND GPL-2.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://gitlab.linphone.org/BC/public/bcmatroska2
Source:         https://gitlab.linphone.org/BC/public/bcmatroska2/-/archive/%{version}/%{name}-%{version}.tar.bz2
Source1:        baselibs.conf
Patch0:         bcmatroska2-include-subdir.patch
Patch1:         fix-cmakelist-version.patch
BuildRequires:  chrpath
BuildRequires:  cmake
BuildRequires:  pkgconfig(bctoolbox) >= 5.3.20

%description
Bcmatroska2 is a C library to parse Matroska files (.mkv and .mka).

%package -n lib%{name}-%{sover}
Summary:        C Library to Deal with Matroska Files
Group:          Development/Libraries/C and C++

%description -n lib%{name}-%{sover}
Bcmatroska2 is a C library to parse Matroska files (.mkv and .mka).

%package devel
Summary:        Development files for bcmatroska2
Group:          Development/Libraries/C and C++
Requires:       lib%{name}-%{sover} = %{version}
# Needed by mediastreamer2. This is a fake minor version because upstream didn't release
# a '.1', therefore we've gotta use this workaround.
Provides:       %{name}-devel = 5.2.1

%description devel
This package includes the files necessary for compiling and linking
applications which will use libbcmatroska2.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

chrpath -d %{buildroot}%{_libdir}/lib%{name}.so.%{sover}*

%post -n lib%{name}-%{sover} -p /sbin/ldconfig
%postun -n lib%{name}-%{sover} -p /sbin/ldconfig

%files -n lib%{name}-%{sover}
%{_libdir}/lib%{name}.so.%{sover}*

%files devel
%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}/corec
%dir %{_includedir}/corec
%dir %{_includedir}/%{name}/ebml
%dir %{_includedir}/%{name}/matroska
%{_includedir}/%{name}/corec/*
%{_includedir}/corec/*bcmatroska2_config.h
%{_includedir}/%{name}/ebml/*
%{_includedir}/%{name}/matroska/*
%{_libdir}/libbcmatroska2.so
%dir %{_datadir}/BCMatroska2
%dir %{_datadir}/BCMatroska2/cmake
%{_datadir}/BCMatroska2/cmake/*

%changelog
* Mon Feb 17 2025 Paolo Stivanin <info@paolostivanin.com>
- Update to 5.3.101 (no changelog).
* Wed Feb 12 2025 ming li <mli@suse.com>
- Update to 5.3.96 (no changelog).
* Mon Nov 11 2024 ecsos <ecsos@opensuse.org>
- Update to 5.3.95 (no changelog).
* Fri Mar 29 2024 Paolo Stivanin <info@paolostivanin.com>
- Update to 5.3.36 (no changelog).
* Wed Mar 27 2024 Paolo Stivanin <info@paolostivanin.com>
- Update to 5.3.26 (no changelog).
- Drop remove-file.patch
- Drop fix-libmatroska-cmake.patch
* Wed Jan  4 2023 Paolo Stivanin <info@paolostivanin.com>
- Update to 5.2.1 (no changelog).
- Add fix-cmakelist-version.patch
- Add remove-file.patch
- Add fix-libmatroska-cmake.patch
* Sun Aug 14 2022 thod_@gmx.de
- Remove RPATH to be able to build on Fedora
* Mon Jul 26 2021 Giacomo Comes <gcomes.obs@gmail.com> - 0.23+git.20210209
- changed version from 0.23~git.20210209 to 0.23+git.20210209,
  0.23~git.20210209 is considered older than the previous version 0.23
  and could cause the package not being updated automatically
- fix several RPMLINT warning
* Wed Jul 14 2021 Paolo Stivanin <info@paolostivanin.com>
- Update to latest commit in order to be able to build the
  latest version of mediastreamer2.
  The 'Provides' field was added because we need mediastreamer2 to
  depend on this latest version of the library, but upstream didn't
  release a new tag.
- Rebase bcmatroska2-include-subdir.patch
* Mon Nov 18 2019 Simon Lees <sflees@suse.de>
- %%make_jobs is depricated replaced by %%cmake_build
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Fri Sep 14 2018 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
* Fri Jul 21 2017 sor.alexei@meowr.ru
- Initial package.
